#
# spec file for package novell-ldapextd (Version 1.0)
#
# Copyright (c) 2007 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl cyrus-sasl-devel db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gcc-c++ gdbm gdbm-devel gettext gettext-devel glibc glibc-32bit glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libgssapi libmudflap libnscd libstdc++ libstdc++-devel libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openldap2-devel openssl openssl-devel pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           novell-ldapextd
BuildRequires:  gcc-c++ openldap2-devel openssl-devel
Group:          Productivity/Networking/LDAP/Clients
Autoreqprov:    on
Summary:        The Novell LDAP Extended Library (novell-ldapextd) is aimed at applications working with OpenLDAP SDK and wish to use some of Novell C LDAP SDK's additional featres like, SSL related functionalities, Schema functionalities & LDAP Extensions.
Version:        1.0
Release:        0.8
Source0:        novell-ldapextd-1.0.0.tar.gz
Url:            http://developer.novell.com/wiki/index.php/Novell_LDAP_Extended_Library
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
License:        GNU Library General Public License v. 2.0 and 2.1 (LGPL)
Provides:       ldapextd

%description
This library(libnldapx) dynamically links to OpenLDAP SDK(libldap) for
all basic SDK functionality and OpenSSL(libssl) present on platform and
provides the below mentioned featuears on top of it: SSL related
functionalities : Novell LDAP Extended Library provides the APIs to
setup the client SSL information which are not covered in  the IETF
draft. These APIs implement the intent of the draft and simplify the
interface to the developer by providing functionalities like SSL bind ,
Interactive SSL. Schema functionalities      : A set of APIs are
provided to modify (add, delete) and fetch the schema from an
eDirectory server over LDAP. LDAP Extensions		 : These are
the LDAP extensions which support the special features of Novell
eDirectory such as replication, partitioning and events. The
availability of these operations are subject to the specific
implementation of the LDAP Server .



%debug_package
%package -n novell-ldapextd-devel
Summary:        The Novell LDAP Extended Library (novell-ldapextd) is aimed at applications working with OpenLDAP SDK and wish to use some of Novell C LDAP SDK's additional featres like, SSL related functionalities, Schema functionalities & LDAP Extensions.
Group:          Productivity/Networking/LDAP/Clients
Provides:       ldapextnd-devel
Requires:       novell-ldapextd

%description -n novell-ldapextd-devel
This library(libnldapx) dynamically links to OpenLDAP SDK(libldap) for
all basic SDK functionality and OpenSSL(libssl) present on platform and
provides the below mentioned featuears on top of it: SSL related
functionalities : Novell LDAP Extended Library provides the APIs to
setup the client SSL information which are not covered in  the IETF
draft. These APIs implement the intent of the draft and simplify the
interface to the developer by providing functionalities like SSL bind ,
Interactive SSL. Schema functionalities      : A set of APIs are
provided to modify (add, delete) and fetch the schema from an
eDirectory server over LDAP. LDAP Extensions		 : These are
the LDAP extensions which support the special features of Novell
eDirectory such as replication, partitioning and events. The
availability of these operations are subject to the specific
implementation of the LDAP Server .



%prep
%setup -n novell-ldapextd-1.0.0

%build
%{?suse_update_config:%{suse_update_config -f build}}
export DEBUG=-DDEBUG
export CFLAGS="$RPM_OPT_FLAGS -g -fno-strict-aliasing"
CC=$CC ./configure \
	--prefix=/usr/ \
	--libdir=/usr/%{_lib} \
	--disable-debug \
	--enable-dynamic \
	--disable-static \
	--with-tls=no \
	--with-cyrus-sasl=no
make

%install
#make install DESTDIR=$RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
rm -rf $RPM_BUILD_ROOT/usr/samples
find /$RPM_BUILD_ROOT -name \*.la -print0 | xargs -0 rm -f
#add to lib path
#mkdir -p $RPM_BUILD_ROOT/etc/ld.so.conf.d
#echo /usr/%_lib > $RPM_BUILD_ROOT/etc/ld.so.conf.d/%name.conf

%post
#sbin/ldconfig

%files
%defattr(-,root,root)
/usr/%{_lib}/libnldapx.so.0.0.0
/usr/%{_lib}/libnldapx.so.0
/usr/%{_lib}/libnldapx.so
#/etc/ld.so.conf.d/%name.conf

%files -n novell-ldapextd-devel 
%dir /usr/include/novell-ldapextd
/usr/%{_lib}/libnldapx.so
/usr/include/novell-ldapextd/ldap_config.h
/usr/include/novell-ldapextd/lber_types.h
/usr/include/novell-ldapextd/ldap_events.h
/usr/include/novell-ldapextd/ldap_features.h
/usr/include/novell-ldapextd/ldap_ssl.h
/usr/include/novell-ldapextd/ldap_schema.h
/usr/include/novell-ldapextd/ldapx.h
/usr/include/novell-ldapextd/ldap_ds_constants.h

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Thu Apr 19 2007 - kukuk@suse.de
- Don't remove Sources from source RPM
* Thu Dec 07 2006 - ggireeshkumar@novell.com
  Removing novell-filesystem from spec file
* Wed Nov 29 2006 - ggireeshkumar@novell.com
  Making some changes in spec file.
* Tue Nov 14 2006 - ggireeshkumar@novell.com
  Initial RPM package
